Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jini.phoenix
Class ActivatorPermission

    java.lang.Object
      java.security.Permission
          net.jini.security.AccessPermission
              com.sun.jini.phoenix.ActivatorPermission

All Implemented Interfaces:
  Guard, Serializable

public final class ActivatorPermission
extends AccessPermission

Represents permissions that can be used to express the access control policy for the activator, the remote object handling object activation, if that remote object is exported with `BasicJeriExporter`. This class can be passed to `BasicInvocationDispatcher`, and then used in security policy permission grants.

This permission class can be used for server-side access control of remote object activation initiated by the client-side `ActivationID.activate` method. The server-side method name for this operation is `activate`.

An instance contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't. The convention is that the target name is the fully qualified name of the remote method being invoked. Wildcard matches are supported using the syntax specified by `AccessPermission`.

The possible target names for the activator are:

Permission Target Name | What the Permission Allows | Risks of Allowing this Permission
--- | --- | ---
activate | invoking the activator's `activate` method | The caller can activate an object and obtain the proxy for it if it knows the activation identifier.
net.jini.security.proxytrust.ProxyTrust.getProxyVerifier | invoking `ProxyTrust.getProxyVerifier` | The caller can verify trust in activation identifiers.

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`ActivatorPermission(String name)` Creates an instance with the specified name.

Methods inherited from class net.jini.security.AccessPermission
`equals, getActions, hashCode, implies`

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActivatorPermission

    public ActivatorPermission(String name)

  Creates an instance with the specified name.

Parameters:
  `name` - the target name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved